Loading...
Searching...
No Matches
bsoncxx::v1::types::b_array Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "Array".

## Public Member Functions

| b_array ()=default
| Zero-initialize the represented value.
| b_array (v1::array::view value)
| Initialize with value.
| operator v1::array::view () const
| Implicitly convert to value.

## Public Attributes

v1::array::view | value
| The represented value.

## Static Public Attributes

static constexpr id | type_id = id::k_array
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_array const &lhs, b_array const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_array const &lhs, b_array const &rhs)
| Equivalent to lhs.value == rhs.value.

## Constructor & Destructor Documentation

## b_array() [1/2]

bsoncxx::v1::types::b_array::b_array | ( |  | ) |

default

Zero-initialize the represented value.

## b_array() [2/2]

bsoncxx::v1::types::b_array::b_array | ( | v1::array::view | value | ) |

inline explicit

Initialize with value.

## Member Function Documentation

## operator v1::array::view()

bsoncxx::v1::types::b_array::operator v1::array::view | ( |  | ) | const

inline

Implicitly convert to value.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_array const & | lhs,
|  | b_array const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_array const & | lhs,
|  | b_array const & | rhs )

friend

Equivalent to lhs.value == rhs.value.

## Member Data Documentation

## type_id

id bsoncxx::v1::types::b_array::type_id = id::k_array

static constexpr

The type represented by this BSON type value.

## value

v1::array::view bsoncxx::v1::types::b_array::value

The represented value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp